Subject: Re: bug#56987: [PATCH] etc: guix-debbugs.el: new file.

From: [email-masked]
Date: Wed, 10 Aug 2022 20:10:56 +0000

Sorry for top posting...

The emacs debbugs developers are considering to merge this patch to debbugs directly.

I am willing to submit copyright assignment to GNU/FSF.  It looks like the FSF
has a webpage that may make this process easier:

https://sfconservancy.org/assignment/

Should I use that web page to submit my potential copyright assignment?

Now that we are all on the same page:  

August 10, 2022 12:45 PM, "Michael Albinus" <[email-masked]> wrote:

> Joshua Branson <[email-masked]> writes:
> 
> Hi Joshua,
> 
> just some comments after short reading of the patch.
> 
>> @example
>> @kbd{C-u} @kbd{M-x} debbugs-gnu @kbd{RET} @kbd{RET} guix-patches @kbd{RET} n y
>> @end example
> 
> Alternatively, a user could set debbugs-gnu-default-packages to '("guix" "guix-patches")
> Then it won't be necessary to enter the package name(s) again and again.

I think that I have tried that in my config, and I could not get it to work.

I will try again and get back to you, and update the guix documentation accordingly.

> 
>> +;; Copyright (C) 2022 Joshua Branson
> 
> This would change to FSF, if bundled with the debbugs package.

Will change

> 
>> +;; Package-Requires: ((emacs "24.3"))
> 
> debbugs.el says
> 
> ;; Package-Requires: ((emacs "26.1") (soap-client "3.1.5"))
> 
> So I guess you might lift up the required Emacs version.

Will do.

> 
>> +;; TODO make this by default only search open bugs AND NOT closed bugs.
>> +(defun debbugs-guix-search ()
>> + (interactive)
>> + (debbugs-gnu-search (read-string "Search String: ") nil nil '("guix" "guix-patches") nil))
> 
> As said the other message, it should be
> 
> (debbugs-gnu-search (read-string "Search String: ") '((pending . "pending")) nil '("guix"
> "guix-patches"))

Will change

> 
>> +;; The debbugs database runs once a day. So after I send a bug report
>> +;; and run this command, my latest bug report might not be here. No worries,
>> +;; just wait one day, and it will be there. :)
> 
> To be more precise, the Hyperestraier search engine on debbugs.gnu.org
> makes new indices after that period. New submitted bugs are in the
> debbugs database shortly after sending the message. It is just
> debbugs-gnu-search, which needs these indices.

Will change

> 
>> +;; I have noticed that this function works 80% of the time. But after I close bug reports,
>> +;; it seems to stop working for about 1/2 hour. I'm guessing the server's database
>> +;; resets itself after every time that I close a bug report...
> 
> debbugs.el uses a cache, which flushes the value after an hour. See the
> variable debbugs-cache-expiry.

Maybe, we could mark a bug as done in the cache when one closes the bug via
debbugs.  That may be a little above my paygrade though.

> 
> There is the command debbugs-gnu-rescan, bound to key "g", which rescans
> an existing tabulated list. With a prefix argument ("C-u g"), the cache
> is ignored, and the data are retrieved directly from debbugs.gnu.el.
> 
> However, please be cautious with invalidating the cache. Every action on
> the debbugs.gnu.org server causes a workload there, and we don't want to
> overuse it.
> 
> Best regards, Michael.

I will resubmit this with the goal of merging directly into debbugs.el.

And I am off tomorrow, so I should have some time to do so!